bl_info = {
    "name": "HVE Menu",
    "author": "adc",
    "version": (1, 0),
    "blender": (3, 0, 0),
    "description": "Tools for HVE",
    'warning': '',
    "category": "HVE",
}

if "bpy" in locals():
    print("Reloading HVE Tools v %d.%d" % bl_info["version"])
    import imp
    imp.reload(materials)
    imp.reload(props)
    imp.reload(ui)    
    imp.reload(prefs)
    imp.reload(debug)    
    imp.reload(ops)   
    imp.reload(mechanist)   
    imp.reload(export_iv)
    imp.reload(export_ui)
else:
    print("Loading HVE Tools v %d.%d" % bl_info["version"])
    import bpy
    from . import materials
    from . import props
    from . import ui
    from . import prefs
    from . import debug
    from . import ops
    from . import mechanist     
    from . import export_iv
    from . import export_ui    

from bpy.props import *
from bpy_extras.io_utils import ImportHelper
from bpy.types import Panel, PropertyGroup, Scene, WindowManager
from bpy.props import (
    IntProperty,
    EnumProperty,
    StringProperty,
    PointerProperty,
)

classes = props.classes + ui.classes + materials.classes + prefs.classes + ops.classes + export_ui.classes 

def register():
    ui.register_icons()
    
    for cls in classes:
        bpy.utils.register_class(cls)
    
    ui.update_panel_bl_category(None, bpy.context)


def unregister():
    
    ui.unregister_icons()
    
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)
    
if __name__ == "__main__":
    register()        

print("HVE Tools successfully (re)loaded")
