bl_info = {
    "name": "HVE Menu",
    "author": "ADC",
    "version": (1, 0, 0),
    "blender": (2, 90, 0),
    "description": "Tools for HVE",
    "category": "HVE",
}

import bpy

if bpy.app.version < (2,80,0):
    Region = "TOOLS"
else:
    Region = "UI"

def addHVEMaterial():
    ob = bpy.context.active_object
    # Get material
    mat = bpy.data.materials.get("Material")
    if mat is None:
        # create material
        mat = bpy.data.materials.new(name="Material")

    # Assign it to object
    if ob.data.materials:
        # assign to 1st material slot
        ob.data.materials[0] = mat
    else:
        # no slots
        ob.data.materials.append(mat)

class hvePanel(bpy.types.Panel):
    """HVE Panel in Viewport Toolbar"""
    bl_label = "HVE Panel"
    bl_space_type = 'VIEW_3D'
    bl_region_type = Region

    
    
    def draw(self, context):
        layout = self.layout
        row = layout.row()
        split = layout.split()
        col = split.column()
        
        row.label(text="HVE Tools")
        col.operator("export_scene.iv", text="Export to HVE", icon='EXPORT')

        
def register():
    bpy.utils.register_class(hvePanel)
    
def unregister():
    bpy.utils.unregister_class(hvePanel)
    
if __name__ == "__main__":
    register()        
