import bpy
from bpy.props import PointerProperty, BoolProperty, StringProperty, FloatProperty, IntProperty, FloatVectorProperty, EnumProperty, CollectionProperty
from bpy.types import PropertyGroup




class HVE_props_make_light(PropertyGroup):
    type: EnumProperty(name="Type",items= [('NOT_A_LIGHT', "Not a light", ""),
                                            ('HVE_HEADLIGHT_LEFT', "Headlight Left", ""),
                                            ('HVE_HEADLIGHT_RIGHT', "Headlight Right", ""), 
                                            ('HVE_REVERSE_LEFT', "Reverse Left", ""), 
                                            ('HVE_REVERSE_RIGHT', "Reverse Right", ""), 
                                            ('HVE_FOGLIGHT_LEFT', "Foglight Left", ""), 
                                            ('HVE_FOGLIGHT_RIGHT', "Foglight Right", ""), 
                                            ('HVE_AMBERTURN_LEFT', "Amber/Turn Left", ""), 
                                            ('HVE_AMBERTURN_RIGHT', "Amber/Turn Right", ""),  
                                            ('HVE_AMBERTAIL_LEFT', "Amber Tail Left", ""),  
                                            ('HVE_AMBERTAIL_RIGHT', "Amber Tail Right", ""),  
                                            ('HVE_BRAKETURN_LEFT', "Brake/Turn Left", ""),  
                                            ('HVE_BRAKETURN_RIGHT', "Brake/Turn Right", ""),
                                            ('HVE_BRAKE_LEFT', "Brake Left", ""),
                                            ('HVE_BRAKE_RIGHT', "Brake Right", ""),
                                            ('HVE_BRAKE_CENTER', "Brake Center", ""),],     
                                   default = 'NOT_A_LIGHT',  
                                   description = "Type of light",)  


class HVE_properties(PropertyGroup):   
    make_light: PointerProperty(type=HVE_props_make_light, )   
    
    @classmethod
    def register(cls):
        bpy.types.Object.human_vehicle_environment = PointerProperty(type=cls)
    
    @classmethod
    def unregister(cls):
        del bpy.types.Object.human_vehicle_environment
        
classes = (
    HVE_props_make_light,
    HVE_properties,
)        

